This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 539903 - iBus breaks Compose and Dead Keys for QT4 apps
iBus breaks Compose and Dead Keys for QT4 apps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-21 09:39 EST by DemetrisK
Modified: 2009-11-24 07:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 00:43:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description DemetrisK 2009-11-21 09:39:14 EST
Description of problem:
If an iBus Input Method is installed, dead keys or Compose key cease to respond in Qt software no matter if iBus is activated or not, while GTK apps are not affected

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install an input method for iBus and a language that requires dead or compose keys
2. Open a Qt app
3. Type special characters
  
Actual results:
´α ´ε ´ι ´ο (Greek, letter+[;])
,c `e /o (Extended latin, compose)

Expected results:
ά έ ί ό
ç è ø 

Additional info:
Running the app with root rights "solves" the problem.
Comment 1 Peng Huang 2009-11-22 21:29:47 EST
Did you install ibus-qt? Or use XIM for qt4 applications?
Comment 2 DemetrisK 2009-11-24 00:26:45 EST
Sorry for the late answer.
ibus-qt is not installed. So, XIM is used.
Comment 3 Peng Huang 2009-11-24 00:43:30 EST
XIM has some limitations. It can not be fixed easily. Please use ibus-qt.
Comment 4 DemetrisK 2009-11-24 07:09:14 EST
Ok. I wasn't aware than ibus-qt fixed this. Wouldn't it be better if ibus-qt was the default?

Note You need to log in before you can comment on or make changes to this bug.